config/routes.rb
Rails.application.routes.draw do

  resources :appointments

  resources :event_pets

  root 'customers#index'

  resources :pets

  resources :pets do
    resources :event_pets
  end

  resources :customers do 
    resources :pets
  end

end

app/models/customer.rb
class Customer < ActiveRecord::Base
	has_many :pets

	  validates_presence_of(:lastname)
end

app/controllers/customers_controller.rb
class CustomersController < ApplicationController
  before_action :set_customer, only: [:show, :edit, :update, :destroy]

  # GET /customers
  # GET /customers.json
  def index
    @customers = Customer.all.order(:lastname)
  end

  # GET /customers/1
  # GET /customers/1.json
  def show
    @pets = @customer.pets
  end

  # GET /customers/new
  def new
    @customer = Customer.new
  end

  # GET /customers/1/edit
  def edit
  end

  # POST /customers
  # POST /customers.json
  def create
    @customer = Customer.new(customer_params)

    respond_to do |format|
      if @customer.save
        format.html { redirect_to @customer, notice: 'Klant toegevoegd.' }
        format.json { render :show, status: :created, location: @customer }
      else
        format.html { render :new }
        format.json { render json: @customer.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /customers/1
  # PATCH/PUT /customers/1.json
  def update
    respond_to do |format|
      if @customer.update(customer_params)
        format.html { redirect_to @customer, notice: 'Klant gewijzigd.' }
        format.json { render :show, status: :ok, location: @customer }
      else
        format.html { render :edit }
        format.json { render json: @customer.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /customers/1
  # DELETE /customers/1.json
  def destroy
    @customer.destroy
    respond_to do |format|
      format.html { redirect_to customers_url, notice: 'Klant verwijderd.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_customer
      @customer = Customer.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def customer_params
      params.require(:customer).permit(:firstname, :lastname, :street, :housenumber, :postalcode, :city, :housephone, :mobilephone, :email, :active)
    end
end

app/helpers/customers_helper.rb
module CustomersHelper
end

app/views/customers/_form.html.erb
<%= simple_form_for(@customer) do |f| %>
  <%= f.error_notification %>

    <%= f.input :firstname, label: 'Voornaam' %>
    <%= f.input :lastname, label: 'Achternaam' %>
    <%= f.input :street, label: 'Straat' %>
    <%= f.input :housenumber, label: 'Huisnummer' %>
    <%= f.input :postalcode, label: 'Postcode' %>
    <%= f.input :city, label: 'Woonplaats' %>
    <%= f.input :housephone, label: 'Vaste telefoon' %>
    <%= f.input :mobilephone, label: 'Mob. telefoon' %>
    <%= f.input :email, label: 'Email' %>
    <%= f.input :active, label: 'Actief' %>    
    <%= f.button :submit %>

<% end %>

app/views/customers/edit.html.erb
<div class="page-header">
  <%= link_to customers_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Terug
  <% end %>
  <%= link_to @customer, :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-info-sign"></span>
    Tonen
  <% end %>
  <h1>Wijzig klant</h1>
</div>

<%= render 'form' %>

app/views/customers/index.html.erb
<div class="page-header">
  <%= link_to new_customer_path, :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-plus"></span>
    Nieuw
  <% end %>
  <h1>Klanten</h1>
</div>

<div class="table-responsive">
  <table class="table table-striped table-bordered table-hover">
    <thead>
      <tr>
            <th>Voornaam</th>
            <th>Achternaam</th>
            <th>Straat</th>
            <th>Huisnr</th>
            <th>Woonplaats</th>
            <th>Vaste telefoon</th>
            <th>Mob. telefoon</th>
            <th>Actief</th>
        <th></th>
        <th></th>
      </tr>
    </thead>

    <tbody>
      <%= content_tag_for(:tr, @customers) do |customer| %>
            <td><%= customer.firstname %></td>
            <td><%= customer.lastname %></td>
            <td><%= customer.street %></td>
            <td><%= customer.housenumber %></td>
            <td><%= customer.city %></td>
            <td><%= customer.housephone %></td>
            <td><%= customer.mobilephone %></td>
            <td><%= customer.active %></td>
            <td><%= link_to 'Toon', customer, :class => 'btn btn-xs btn-success' %></td>
        <td><%= link_to 'Wijzig', edit_customer_path(customer), :class => 'btn btn-xs btn-warning' %></td>
        <td><%= link_to 'Verwijder', customer, :class => 'btn btn-xs btn-danger', method: :delete, data: { confirm: 'Weet je het zeker?' } %></td>
      <% end %>
    </tbody>
  </table>
</div>

app/views/customers/new.html.erb
<div class="page-header">
  <%= link_to customers_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Terug
  <% end %>
  <h1>Nieuwe Klant</h1>
</div>

<%= render 'form' %>

app/views/customers/show.html.erb
<div class="page-header">
  <%= link_to customers_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Terug
  <% end %>
  <%= link_to edit_customer_path(@customer), :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-pencil"></span>
    Wijzig
  <% end %>
  <h1>Klantgegevens</h1>
</div>

<dl class="dl-horizontal">
  <dt>Voornaam:</dt>
  <dd><%= @customer.firstname %></dd>

  <dt>Achternaam:</dt>
  <dd><%= @customer.lastname %></dd>

  <dt>Straat:</dt>
  <dd><%= @customer.street %></dd>

  <dt>Huisnummer:</dt>
  <dd><%= @customer.housenumber %></dd>

  <dt>Postcode:</dt>
  <dd><%= @customer.postalcode %></dd>

  <dt>Woonplaats:</dt>
  <dd><%= @customer.city %></dd>

  <dt>Vaste telefoon:</dt>
  <dd><%= @customer.housephone %></dd>

  <dt>Mobiele telefoon:</dt>
  <dd><%= @customer.mobilephone %></dd>

  <dt>Email:</dt>
  <dd><%= @customer.email %></dd>

</dl>

<div class="table-responsive">
  <table class="table table-striped table-bordered table-hover">
    <thead>
      <tr>
            <th>Soort</th>
            <th>Naam</th>
            <th>Vacht</th>
            <th>Geb. datum</th>
            <th>Klant</th>
            <th></th>
        <th></th>
        <th></th>
      </tr>
    </thead>

    <tbody>
      <%= content_tag_for(:tr, @pets) do |pet| %>
            <td><%= pet.species %></td>
            <td><%= pet.name %></td>
            <td><%= pet.pelt %></td>
            <td><%= pet.birthday %></td>
            <td><%= pet.customer.lastname %></td>
            <td><%= link_to 'Toon', pet, :class => 'btn btn-xs btn-success' %></td>
        <td><%= link_to 'Wijzig', edit_pet_path(pet), :class => 'btn btn-xs btn-warning' %></td>
        <td><%= link_to 'Verwijder', pet, :class => 'btn btn-xs btn-danger', method: :delete, data: { confirm: 'Are you sure?' } %></td>
      <% end %>
    </tbody>
  </table>
</div>